function RB = trainRB_Greedy(prob,Xi_train,Norm,S_N0, Nmax,tol)

%% Initialize parameters and storage

  Nmax = eval('Nmax','100');
  tol = eval('tol','5e-6');

% store Xi_train  
  RB.Xi_train = Xi_train;
% store norm to be used  
  RB.Norm = Norm;
  if isfield(prob.fem.innProd, 'refparam')
      RB.innProd.refparam = prob.fem.innProd.refparam;
  end
  if isfield(prob.fem.innProd, 'refalpha')
      RB.innProd.refalpha = prob.fem.innProd.refalpha;
  end
  if isfield(prob.fem.innProd, 'refthetas')
      RB.innProd.refthetas = prob.fem.innProd.refthetas;
  end
  
% store theta function for both sides and initialize RB matrices
  RB.pre.rhs.theta = prob.fem.pre.rhs.theta;
  RB.pre.lhs = struct('theta',{}, 'K',{});
  RB.pre.rhs.L = [];
  for q=1:length(prob.fem.pre.lhs)
    RB.pre.lhs(q).theta = prob.fem.pre.lhs(q).theta;
  end
  
% initialize S, Basis and Riesz Representors
  RB.S = zeros(size(Xi_train,1),0);
  RB.Basis = zeros(prob.fem.dof.num,0);
  RB.Greedy_errors = [];
  
%% Greedy-Training

% Initial basis: first add snapshots correspunding to mu in S_N0
  for mu=S_N0
    RB = addBasisFun(prob,RB,mu);
  end
   
% ======= TBD: Greedy =======
% ....
  
% store Nmax
  RB.Nmax = size(RB.Basis,2);

end  
  
%% add orthonormalized u(mu) to RB basis
function RB = addBasisFun(prob,RB,mu)

% ======= TBD: Greedy =======
% ....

end  